Subject: [secdir] secdir review of draft-ietf-hokey-ldn-discovery-06

From: Samuel Weiler <[email-masked]>
Date: Mon, 28 Feb 2011 17:25:57 -0500 (EST)

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

There is a big risk here, and the security considerations section 
captures it very succinctly: "The communication ... is security 
sensitive and requires authentication, integrity and replay 
protection."  Perhaps that should be repeated earlier in the doc.

Editorial: it's not clear to me why this is being defined only for 
DHCPv6.  A sentence explaining that would be helpful.

-- Sam